package com.ss.android.ugc.aweme.setting.services;

import X.C38973p3;
import com.bytedance.covode.number.Covode;
import org.json.JSONObject;

public interface IUpdateSettingService {
    static {
        Covode.recordClassIndex(106259);
    }

    C38973p3 LIZ();

    void LIZ(C38973p3 r1);

    void LIZ(String str, int i);

    void LIZ(JSONObject jSONObject);
}
